OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.Texture3D

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_texture3d extension, see http://www.opengl.org/registry/specs/EXT/texture3d.txt.

Synopsis

- glTexImage3D :: GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> IO ()
- gl_PACK_SKIP_IMAGES :: GLenum
- gl_PACK_IMAGE_HEIGHT :: GLenum
- gl_UNPACK_SKIP_IMAGES :: GLenum
- gl_UNPACK_IMAGE_HEIGHT :: GLenum
- gl_TEXTURE_3D :: GLenum
- gl_PROXY_TEXTURE_3D :: GLenum
- gl_TEXTURE_DEPTH :: GLenum
- gl_TEXTURE_WRAP_R :: GLenum
- gl_MAX_3D_TEXTURE_SIZE :: GLenum

# Functions

glTexImage3D :: GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> IO ()Source

# Tokens

gl_PACK_SKIP_IMAGES :: GLenum Source

gl_PACK_IMAGE_HEIGHT :: GLenum Source

gl_UNPACK_SKIP_IMAGES :: GLenum Source

gl_UNPACK_IMAGE_HEIGHT :: GLenum Source

gl_TEXTURE_3D :: GLenum Source

gl_PROXY_TEXTURE_3D :: GLenum Source

gl_TEXTURE_DEPTH :: GLenum Source

gl_TEXTURE_WRAP_R :: GLenum Source

gl_MAX_3D_TEXTURE_SIZE :: GLenum Source